"""empty message

Revision ID: 1030267d39ae
Revises: ece80a4fd9d4
Create Date: 2018-04-03 04:02:20.372176

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '1030267d39ae'
down_revision = 'ece80a4fd9d4'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('assignment_revision',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('branch_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['branch_id'], ['branch.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.add_column('assignment', sa.Column('assignment_revision_id', sa.Integer(), nullable=False))
    op.create_foreign_key(None, 'assignment', 'assignment_revision', ['assignment_revision_id'], ['id'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'assignment', type_='foreignkey')
    op.drop_column('assignment', 'assignment_revision_id')
    op.drop_table('assignment_revision')
    # ### end Alembic commands ###